Bug 56909 - zebra fails on cipe interface on first starup attempt, succeeds on second
Summary: zebra fails on cipe interface on first starup attempt, succeeds on second
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-29 21:43 UTC by Matthew Galgoci
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-28 03:23:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2001-11-29 21:43:28 UTC
Description of Problem:

When using zebra on a linux router that includes cipe interfaces in the zebra 
config, zebra will fail to start on the first attempt with the following error:

"cannot create router advratisement socket: Address family not supported"

Subsequent attempts to start zebra will succeed.

If you stop zebra and the cipe interface (leaving kernel module loaded),
start the
cipe interface again, and then attempt to start zebra, zebra will succeed.

Only if you stop zebra, and cipe, remove the cipcb module, start cipe, and 
attempt to start zebra will it fail again.

Version-Release number of selected component (if applicable):

All components are stock Red Hat Linux 7.2. I will attempt to reproduce
this with all
errata applied, but I don't think cipe changed much from stock to errata.

Straces of failures are on the way,

How Reproducible:

Very.

Steps to Reproduce:
.  
(see description ). 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Matthew Galgoci 2001-11-29 21:51:30 UTC
Attempted the same with ipv6 module loaded , net result is the same, but the
error message:

"cannot create router advratisement socket: Address family not supported"

is NOT printed to stderr.

Comment 2 Matthew Galgoci 2001-11-29 22:24:02 UTC
Tested with all current errata as of 2001-11-29, same results as with stock
components


Comment 3 Matthew Galgoci 2003-02-28 03:23:49 UTC
we are using zebra and cipe now. this appears to have been resolved.


Note You need to log in before you can comment on or make changes to this bug.